## visad.collab
Class MonitorSyncer.ControlEventKey

    java.lang.Object
      visad.collab.MonitorSyncer.ControlEventKey

Enclosing class:
  MonitorSyncer

class MonitorSyncer.ControlEventKey
extends Object

Used as key for ControlEvents in listener queue

Constructor Summary
`(package private)` `MonitorSyncer.ControlEventKey(Control ctl)`

Method Summary
`boolean` `equals(Control ctl)`
`boolean` `equals(MonitorSyncer.ControlEventKey key)`
`boolean` `equals(Object obj)`
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MonitorSyncer.ControlEventKey

    MonitorSyncer.ControlEventKey(Control ctl)

Method Detail

### equals

    public boolean equals(MonitorSyncer.ControlEventKey key)

### equals

    public boolean equals(Object obj)

### equals

    public boolean equals(Control ctl)

### hashCode

    public int hashCode()

### toString

    public String toString()